Package org.apache.calcite.avatica.proto

## Class Responses.ErrorResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>
      - - org.apache.calcite.avatica.proto.Responses.ErrorResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Responses.ErrorResponseOrBuilder`

Enclosing class:
  Responses.ErrorResponse

    public static final class Responses.ErrorResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>
    implements Responses.ErrorResponseOrBuilder

     Send contextual information about some error over the wire from the server.

Protobuf type `ErrorResponse`

### Field Summary

Fields
`private int` `bitField0_`
`private int` `errorCode_`
`private java.lang.Object` `errorMessage_`
`private com.google.protobuf.LazyStringList` `exceptions_`
`private boolean` `hasExceptions_`
`private Responses.RpcMetadata` `metadata_`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder>` `metadataBuilder_`
`private int` `severity_`
`private java.lang.Object` `sqlState_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Responses.ErrorResponse.Builder` `addAllExceptions​(java.lang.Iterable<java.lang.String> values)` exception stacktraces, many for linked exceptions.
`Responses.ErrorResponse.Builder` `addExceptions​(java.lang.String value)` exception stacktraces, many for linked exceptions.
`Responses.ErrorResponse.Builder` `addExceptionsBytes​(com.google.protobuf.ByteString value)` exception stacktraces, many for linked exceptions.
`Responses.ErrorResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.ErrorResponse` `build()`
`Responses.ErrorResponse` `buildPartial()`
`Responses.ErrorResponse.Builder` `clear()`
`Responses.ErrorResponse.Builder` `clearErrorCode()` numeric identifier for error
`Responses.ErrorResponse.Builder` `clearErrorMessage()` human readable description
`Responses.ErrorResponse.Builder` `clearExceptions()` exception stacktraces, many for linked exceptions.
`Responses.ErrorResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Responses.ErrorResponse.Builder` `clearHasExceptions()` are there stacktraces contained?
`Responses.ErrorResponse.Builder` `clearMetadata()` `.RpcMetadata metadata = 6;`
`Responses.ErrorResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Responses.ErrorResponse.Builder` `clearSeverity()` `.Severity severity = 3;`
`Responses.ErrorResponse.Builder` `clearSqlState()` five-character standard-defined value
`Responses.ErrorResponse.Builder` `clone()`
`private void` `ensureExceptionsIsMutable()`
`Responses.ErrorResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getErrorCode()` numeric identifier for error
`java.lang.String` `getErrorMessage()` human readable description
`com.google.protobuf.ByteString` `getErrorMessageBytes()` human readable description
`java.lang.String` `getExceptions​(int index)` exception stacktraces, many for linked exceptions.
`com.google.protobuf.ByteString` `getExceptionsBytes​(int index)` exception stacktraces, many for linked exceptions.
`int` `getExceptionsCount()` exception stacktraces, many for linked exceptions.
`com.google.protobuf.ProtocolStringList` `getExceptionsList()` exception stacktraces, many for linked exceptions.
`boolean` `getHasExceptions()` are there stacktraces contained?
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 6;`
`Responses.RpcMetadata.Builder` `getMetadataBuilder()` `.RpcMetadata metadata = 6;`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder>` `getMetadataFieldBuilder()` `.RpcMetadata metadata = 6;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 6;`
`Common.Severity` `getSeverity()` `.Severity severity = 3;`
`int` `getSeverityValue()` `.Severity severity = 3;`
`java.lang.String` `getSqlState()` five-character standard-defined value
`com.google.protobuf.ByteString` `getSqlStateBytes()` five-character standard-defined value
`boolean` `hasMetadata()` `.RpcMetadata metadata = 6;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Responses.ErrorResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Responses.ErrorResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Responses.ErrorResponse.Builder` `mergeFrom​(Responses.ErrorResponse other)`
`Responses.ErrorResponse.Builder` `mergeMetadata​(Responses.RpcMetadata value)` `.RpcMetadata metadata = 6;`
`Responses.ErrorResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.ErrorResponse.Builder` `setErrorCode​(int value)` numeric identifier for error
`Responses.ErrorResponse.Builder` `setErrorMessage​(java.lang.String value)` human readable description
`Responses.ErrorResponse.Builder` `setErrorMessageBytes​(com.google.protobuf.ByteString value)` human readable description
`Responses.ErrorResponse.Builder` `setExceptions​(int index, java.lang.String value)` exception stacktraces, many for linked exceptions.
`Responses.ErrorResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.ErrorResponse.Builder` `setHasExceptions​(boolean value)` are there stacktraces contained?
`Responses.ErrorResponse.Builder` `setMetadata​(Responses.RpcMetadata value)` `.RpcMetadata metadata = 6;`
`Responses.ErrorResponse.Builder` `setMetadata​(Responses.RpcMetadata.Builder builderForValue)` `.RpcMetadata metadata = 6;`
`Responses.ErrorResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Responses.ErrorResponse.Builder` `setSeverity​(Common.Severity value)` `.Severity severity = 3;`
`Responses.ErrorResponse.Builder` `setSeverityValue​(int value)` `.Severity severity = 3;`
`Responses.ErrorResponse.Builder` `setSqlState​(java.lang.String value)` five-character standard-defined value
`Responses.ErrorResponse.Builder` `setSqlStateBytes​(com.google.protobuf.ByteString value)` five-character standard-defined value
`Responses.ErrorResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### bitField0_

    private int bitField0_

#### exceptions_

    private com.google.protobuf.LazyStringList exceptions_

#### hasExceptions_

    private boolean hasExceptions_

#### errorMessage_

    private java.lang.Object errorMessage_

#### severity_

    private int severity_

#### errorCode_

    private int errorCode_

#### sqlState_

    private java.lang.Object sqlState_

#### metadata_

    private Responses.RpcMetadata metadata_

#### metadataBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder> metadataBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Responses.ErrorResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### getDefaultInstanceForType

    public Responses.ErrorResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Responses.ErrorResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Responses.ErrorResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Responses.ErrorResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### setField

    public Responses.ErrorResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                    java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### clearField

    public Responses.ErrorResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### clearOneof

    public Responses.ErrorResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### setRepeatedField

    public Responses.ErrorResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            int index,
                                                            java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### addRepeatedField

    public Responses.ErrorResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### mergeFrom

    public Responses.ErrorResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.ErrorResponse.Builder>`

#### mergeFrom

    public Responses.ErrorResponse.Builder mergeFrom​(Responses.ErrorResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### mergeFrom

    public Responses.ErrorResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.ErrorResponse.Builder>`
Throws:
  `java.io.IOException`

#### ensureExceptionsIsMutable

    private void ensureExceptionsIsMutable()

#### getExceptionsList

    public com.google.protobuf.ProtocolStringList getExceptionsList()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptionsList` in interface `Responses.ErrorResponseOrBuilder`

#### getExceptionsCount

    public int getExceptionsCount()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptionsCount` in interface `Responses.ErrorResponseOrBuilder`

#### getExceptions

    public java.lang.String getExceptions​(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptions` in interface `Responses.ErrorResponseOrBuilder`

#### getExceptionsBytes

    public com.google.protobuf.ByteString getExceptionsBytes​(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

Specified by:
  `getExceptionsBytes` in interface `Responses.ErrorResponseOrBuilder`

#### setExceptions

    public Responses.ErrorResponse.Builder setExceptions​(int index,
                                                         java.lang.String value)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### addExceptions

    public Responses.ErrorResponse.Builder addExceptions​(java.lang.String value)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### addAllExceptions

    public Responses.ErrorResponse.Builder addAllExceptions​(java.lang.Iterable<java.lang.String> values)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### clearExceptions

    public Responses.ErrorResponse.Builder clearExceptions()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### addExceptionsBytes

    public Responses.ErrorResponse.Builder addExceptionsBytes​(com.google.protobuf.ByteString value)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getHasExceptions

    public boolean getHasExceptions()

     are there stacktraces contained?

`bool has_exceptions = 7;`

Specified by:
  `getHasExceptions` in interface `Responses.ErrorResponseOrBuilder`

#### setHasExceptions

    public Responses.ErrorResponse.Builder setHasExceptions​(boolean value)

     are there stacktraces contained?

`bool has_exceptions = 7;`

#### clearHasExceptions

    public Responses.ErrorResponse.Builder clearHasExceptions()

     are there stacktraces contained?

`bool has_exceptions = 7;`

#### getErrorMessage

    public java.lang.String getErrorMessage()

     human readable description

`string error_message = 2;`

Specified by:
  `getErrorMessage` in interface `Responses.ErrorResponseOrBuilder`

#### getErrorMessageBytes

    public com.google.protobuf.ByteString getErrorMessageBytes()

     human readable description

`string error_message = 2;`

Specified by:
  `getErrorMessageBytes` in interface `Responses.ErrorResponseOrBuilder`

#### setErrorMessage

    public Responses.ErrorResponse.Builder setErrorMessage​(java.lang.String value)

     human readable description

`string error_message = 2;`

#### clearErrorMessage

    public Responses.ErrorResponse.Builder clearErrorMessage()

     human readable description

`string error_message = 2;`

#### setErrorMessageBytes

    public Responses.ErrorResponse.Builder setErrorMessageBytes​(com.google.protobuf.ByteString value)

     human readable description

`string error_message = 2;`

#### getSeverityValue

    public int getSeverityValue()

`.Severity severity = 3;`

Specified by:
  `getSeverityValue` in interface `Responses.ErrorResponseOrBuilder`

#### setSeverityValue

    public Responses.ErrorResponse.Builder setSeverityValue​(int value)

`.Severity severity = 3;`

#### getSeverity

    public Common.Severity getSeverity()

`.Severity severity = 3;`

Specified by:
  `getSeverity` in interface `Responses.ErrorResponseOrBuilder`

#### setSeverity

    public Responses.ErrorResponse.Builder setSeverity​(Common.Severity value)

`.Severity severity = 3;`

#### clearSeverity

    public Responses.ErrorResponse.Builder clearSeverity()

`.Severity severity = 3;`

#### getErrorCode

    public int getErrorCode()

     numeric identifier for error

`uint32 error_code = 4;`

Specified by:
  `getErrorCode` in interface `Responses.ErrorResponseOrBuilder`

#### setErrorCode

    public Responses.ErrorResponse.Builder setErrorCode​(int value)

     numeric identifier for error

`uint32 error_code = 4;`

#### clearErrorCode

    public Responses.ErrorResponse.Builder clearErrorCode()

     numeric identifier for error

`uint32 error_code = 4;`

#### getSqlState

    public java.lang.String getSqlState()

     five-character standard-defined value

`string sql_state = 5;`

Specified by:
  `getSqlState` in interface `Responses.ErrorResponseOrBuilder`

#### getSqlStateBytes

    public com.google.protobuf.ByteString getSqlStateBytes()

     five-character standard-defined value

`string sql_state = 5;`

Specified by:
  `getSqlStateBytes` in interface `Responses.ErrorResponseOrBuilder`

#### setSqlState

    public Responses.ErrorResponse.Builder setSqlState​(java.lang.String value)

     five-character standard-defined value

`string sql_state = 5;`

#### clearSqlState

    public Responses.ErrorResponse.Builder clearSqlState()

     five-character standard-defined value

`string sql_state = 5;`

#### setSqlStateBytes

    public Responses.ErrorResponse.Builder setSqlStateBytes​(com.google.protobuf.ByteString value)

     five-character standard-defined value

`string sql_state = 5;`

#### hasMetadata

    public boolean hasMetadata()

`.RpcMetadata metadata = 6;`

Specified by:
  `hasMetadata` in interface `Responses.ErrorResponseOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 6;`

Specified by:
  `getMetadata` in interface `Responses.ErrorResponseOrBuilder`

#### setMetadata

    public Responses.ErrorResponse.Builder setMetadata​(Responses.RpcMetadata value)

`.RpcMetadata metadata = 6;`

#### setMetadata

    public Responses.ErrorResponse.Builder setMetadata​(Responses.RpcMetadata.Builder builderForValue)

`.RpcMetadata metadata = 6;`

#### mergeMetadata

    public Responses.ErrorResponse.Builder mergeMetadata​(Responses.RpcMetadata value)

`.RpcMetadata metadata = 6;`

#### clearMetadata

    public Responses.ErrorResponse.Builder clearMetadata()

`.RpcMetadata metadata = 6;`

#### getMetadataBuilder

    public Responses.RpcMetadata.Builder getMetadataBuilder()

`.RpcMetadata metadata = 6;`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 6;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.ErrorResponseOrBuilder`

#### getMetadataFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder> getMetadataFieldBuilder()

`.RpcMetadata metadata = 6;`

#### setUnknownFields

    public final Responses.ErrorResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`

#### mergeUnknownFields

    public final Responses.ErrorResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ErrorResponse.Builder>`